techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Restaurant
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
        • List orders
        • Order Details
        • Vouchered Cart
        • Discounted Cart
        • Redeemed Cart
        • Add-On Order
        • Redeemed Add-Ons Cart
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
        GET
      • Restaurant Details
        GET
      • List Restaurant Branch
        GET
      • On-Demand Restaurants
        GET
      • Restaurant Menu
        GET
      • List Restaurant Categories
        GET
      • Product Details
        GET
      • Combo Details
        GET
      • Wallet Credit Products
        GET
      • Allergen Dislikes List
        GET
      • Product Variants List
        GET
      • Restaurant Variants List
        GET
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. Restaurant

On-Demand Restaurants

GET
https://api.techrar.com/api/v1/restaurants/on-demand/
This endpoint allows customers to retrieve restaurants that support on-demand ordering with delivery information

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/restaurants/on-demand/?location_id%20=undefined&city_id%20=undefined' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": 4,
        "on_demand_delivery_windows": [
            {
                "id": 13,
                "app_id": 4,
                "created_at": "2024-01-16T12:30:44.052384+03:00",
                "modified_at": "2024-01-16T12:30:44.052418+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 0,
                "type": "subscription",
                "from_time": "16:00:00",
                "to_time": "22:00:00",
                "is_default": false,
                "is_active": true,
                "tag": null,
                "is_on_demand_opened": true
            },
            {
                "id": 12,
                "app_id": 4,
                "created_at": "2024-01-16T12:29:11.852662+03:00",
                "modified_at": "2024-01-16T12:29:11.852697+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 0,
                "type": "subscription",
                "from_time": "09:00:00",
                "to_time": "14:00:00",
                "is_default": false,
                "is_active": true,
                "tag": null,
                "is_on_demand_opened": true
            }
        ],
        "branch": {
            "id": 47,
            "location": {
                "id": 9308,
                "city": {
                    "id": 1,
                    "app_id": null,
                    "created_at": "2022-03-12T16:51:57.964819+03:00",
                    "modified_at": "2023-02-19T18:29:28.335083+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "name_ar": "جده",
                    "name_en": "Jeddah",
                    "country_code": "SA",
                    "keywords": "Jeddah,jeddah,جدة,جده",
                    "is_supported": true
                },
                "location_url": "https://maps.google.com/?q=21.57522300473195,39.15968189659805",
                "app_id": null,
                "created_at": "2024-01-11T17:03:12.683264+03:00",
                "modified_at": "2024-01-29T14:15:44.635497+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 0,
                "name_ar": "فرع",
                "name_en": "branch",
                "longitude": "39.15968189659805",
                "latitude": "21.57522300473195",
                "address1": "JERA3751, 3751 Muhammad Hasan Al Awwad, 8943, AR Rawdah District, Jeddah 23434, Saudi Arabia",
                "address2": null,
                "place_id": "ChIJKVdLU3fQwxURtr-jeIC8JFI",
                "postal_code": "23434",
                "formatted_address": "JERA3751, 3751 Muhammad Hasan Al Awwad, 8943, AR Rawdah District, Jeddah 23434, Saudi Arabia",
                "district": "AR Rawdah District",
                "district_ar": null,
                "city_name_en": "Jeddah",
                "city_name_ar": null,
                "route": "Muhammad Hasan Al Awwad",
                "street_number": "3751",
                "is_synced": true,
                "zone": 1
            },
            "app_id": null,
            "created_at": "2024-01-11T17:03:13.998081+03:00",
            "modified_at": "2024-01-29T14:15:44.643197+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_en": "Jeddah",
            "name_ar": "جدة",
            "on_demand_opened": true,
            "on_demand_delivery_price": 10,
            "branch_hours": "-",
            "is_active": true,
            "is_main": true,
            "restaurant": 4,
            "handler": 6
        },
        "pickup_branches": [
            {
                "id": 51,
                "location": {
                    "id": 9316,
                    "city": {
                        "id": 1,
                        "app_id": null,
                        "created_at": "2022-03-12T16:51:57.964819+03:00",
                        "modified_at": "2023-02-19T18:29:28.335083+03:00",
                        "is_deleted": false,
                        "deleted_at": null,
                        "ordering": 0,
                        "name_ar": "جده",
                        "name_en": "Jeddah",
                        "country_code": "SA",
                        "keywords": "Jeddah,jeddah,جدة,جده",
                        "is_supported": true
                    },
                    "location_url": "https://maps.google.com/?q=21.586101210896967,39.15659344340822",
                    "app_id": null,
                    "created_at": "2024-03-13T20:52:53.147830+03:00",
                    "modified_at": "2024-03-13T20:52:54.496368+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "name_ar": "فرع",
                    "name_en": "branch",
                    "longitude": "39.15659344340822",
                    "latitude": "21.586101210896967",
                    "address1": "JESA3381, 3381 Mawakeb Al Nasr, 7268, As Salamah, Jeddah 23436, Saudi Arabia",
                    "address2": null,
                    "place_id": "ChIJD6adeIDQwxUR3hxDRCHGNpY",
                    "postal_code": "23436",
                    "formatted_address": "JESA3381, 3381 Mawakeb Al Nasr, 7268, As Salamah, Jeddah 23436, Saudi Arabia",
                    "district": "As Salamah",
                    "district_ar": null,
                    "city_name_en": "Jeddah",
                    "city_name_ar": null,
                    "route": "Mawakeb Al Nasr",
                    "street_number": "3381",
                    "is_synced": true,
                    "zone": 1
                },
                "app_id": null,
                "created_at": "2024-03-13T20:52:54.513888+03:00",
                "modified_at": "2024-05-27T20:44:03.356328+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 0,
                "name_en": "Pickup",
                "name_ar": "جدة",
                "on_demand_opened": true,
                "on_demand_delivery_price": 100,
                "branch_hours": "-",
                "is_active": true,
                "is_main": false,
                "restaurant": 4,
                "handler": 49
            }
        ],
        "closest_order_date": "2024-05-30",
        "app_id": null,
        "created_at": "2022-08-10T12:59:52.497490+03:00",
        "modified_at": "2024-05-21T11:19:12.677685+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 1,
        "name_en": "Salus",
        "name_ar": "سالُس",
        "subtitle_en": "Manage subscriptions 3 days ahead.",
        "subtitle_ar": "إدارة الاشتراكات قبل بثلاث ايام.",
        "description_en": "Subscriptions for healthy meals, an artist delivers it to you daily",
        "description_ar": "اشتراكات لوجبات صحية فنانة توصلكم يوميًا",
        "logo": "/media/uploads/restaurants/logos/2023/02/22/0208c407-a19d-4600-b61d-7e91bba32f73.png",
        "rest_type": "both",
        "start_after": 3,
        "is_active": true,
        "primary_color": "#FFFFFF",
        "secondary_color": null,
        "banner": null,
        "closed_dates": "2024-04-07,2024-04-08",
        "supports_pickup": true,
        "supports_delivery": true,
        "delivery_by_yumealz": true,
        "off_days": "Sat",
        "menu": 4,
        "main_branch_location": null
    }
]
Modified at 2025-12-15 06:37:01
Previous
List Restaurant Branch
Next
Restaurant Menu
Built with